Subject: Re: [Healeys] Seat covers

From: Jackson Krall <[email-masked]>
Date: Fri, 31 May 2013 10:37:15 -0700 (PDT)

Hello Ed, I once made my own covers for the ragged leather seats in an MGC. Bought a couple terrycloth towels and a hardware store grommet kit. Installed grommets so they would be on back and lower portion of seat, laced it up with cord, Bob's your uncle. One towel per seat and the terrycloth looked and felt great. You might need two pieces for an AH seat but maybe not.
Best
JK

------------------------------
On Fri, May 17, 2013 4:27 PM EDT Ed Orr wrote:

>Would anyone know a source for 3000 seat covers I have tried the usual sourses
>with no luck .
>I have been using terry cloth covers made by a local seamstress ther're  now
>worn out (they were not a good design). Terry cloth is good on long trips to
>absorb persperation and can be washed.
>
>Ed Orr
_______________________________________________
Archive: http://www.team.net/archive

[email-masked]
http://autox.team.net/mailman/listinfo/healeys